--- title: "UpdateFilePlugin" slug: "management-cloudinsight-updatefileplugin" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-updatefileplugin" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # UpdateFilePlugin Available in Classic and VPC Update the file plugin settings for a specific server. If there is an existing file plugin setting, it will be overwritten. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_server/real/api/plugin/file | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `configList` | Array | Required | File path list | | `instanceNo` | String | Required | Server instance number - See [GetAllFilePlugin](/docs/en/management-cloudinsight-getallfileplugin). - Only 1 can be entered. | | `type` | String | Optional | Server type - `vpcserver` (default) \| `classicserver` \| `cloudhadoop` - `vpcserver`: VPC environment server - `classicserver`: Classic environment server - `cloudhadoop`: Cloud Hadoop server | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_server/real/api/plugin/file' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: {Region Code}' \ --header 'x-ncp-dmn_cd: PUB' \ --data '{ "configList": [ "/root/*****/***/*****.pyc", "/root/*****/*****.pyc" ], "instanceNo": "**********", "type": "vpcserver" }' ``` ## Response This section describes the response format. ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example If the response is successful, the file plugin settings for the specific server will be updated with `200 OK`.